package com.ruoyi.project.plant.service;

import java.util.List;
import com.ruoyi.project.plant.domain.TMtdItem;

/**
 * 调度会议详情Service接口
 *
 * @author ssy
 * @date 2023-11-15
 */
public interface ITMtdItemService
{
    /**
     * 查询调度会议详情
     *
     * @param id 调度会议详情ID
     * @return 调度会议详情
     */
    public TMtdItem selectTMtdItemById(Long id);

    /**
     * 查询调度会议详情列表
     *
     * @param tMtdItem 调度会议详情
     * @return 调度会议详情集合
     */
    public List<TMtdItem> selectTMtdItemList(TMtdItem tMtdItem);

    /**
     * 新增调度会议详情
     *
     * @param tMtdItem 调度会议详情
     * @return 结果
     */
    public int insertTMtdItem(TMtdItem tMtdItem);

    /**
     * 修改调度会议详情
     *
     * @param tMtdItem 调度会议详情
     * @return 结果
     */
    public int updateTMtdItem(TMtdItem tMtdItem);

    /**
     * 批量删除调度会议详情
     *
     * @param ids 需要删除的调度会议详情ID
     * @return 结果
     */
    public int deleteTMtdItemByIds(Long[] ids);

    /**
     * 删除调度会议详情信息
     *
     * @param id 调度会议详情ID
     * @return 结果
     */
    public int deleteTMtdItemById(Long id);
}
